Skip to main content
GET
/
v1
/
treasury
/
yields
List treasury yield rates
curl --request GET \
  --url https://api.vintl.io/v1/treasury/yields \
  --header 'X-API-Key: <api-key>'
{
  "object": "yield_series",
  "results": [
    {
      "trade_date": "2026-03-24T00:00:00Z",
      "maturity": "10Y",
      "rate": "4.39",
      "curve_type": "PAR"
    }
  ],
  "results_count": 123,
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

X-API-Key
string
header
required

API key prefixed with vntl_live_

Query Parameters

maturity
enum<string>
Available options:
1M,
2M,
3M,
4M,
6M,
1Y,
2Y,
3Y,
5Y,
7Y,
10Y,
20Y,
30Y
curve_type
enum<string>
default:PAR
Available options:
PAR,
TIPS
from
string<date>

Start date (YYYY-MM-DD)

to
string<date>

End date (YYYY-MM-DD)

limit
integer
default:100
Required range: 1 <= x <= 1000
cursor
string

Opaque pagination cursor from previous response

Response

200 - application/json

Paginated yield rates

object
string
Example:

"yield_series"

results
object[]
results_count
integer
has_more
boolean
next_cursor
string
Last modified on March 30, 2026